## NMSettingTeamPort NMSettingTeamPort — Describes connection properties for team ports |

## Synopsis

    #define             NM_SETTING_TEAM_PORT_SETTING_NAME
    #define             NM_SETTING_TEAM_PORT_CONFIG
    struct              NMSettingTeamPort;
                        NMSettingTeamPortClass;
    NMSetting *         nm_setting_team_port_new            (void);
    const char *        nm_setting_team_port_get_config     (NMSettingTeamPort *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingTeamPort

## Properties

      "config"                   gchar*                : Read / Write

## Description

The NMSettingTeamPort object is a NMSetting subclass that describes optional properties that apply to team ports.

## Details

### NM_SETTING_TEAM_PORT_SETTING_NAME

    #define NM_SETTING_TEAM_PORT_SETTING_NAME "team-port"

### NM_SETTING_TEAM_PORT_CONFIG

    #define NM_SETTING_TEAM_PORT_CONFIG     "config"

### struct NMSettingTeamPort

    struct NMSettingTeamPort;

### NMSettingTeamPortClass

    typedef struct {
    	NMSettingClass parent;
    } NMSettingTeamPortClass;

### nm_setting_team_port_new ()

    NMSetting *         nm_setting_team_port_new            (void);

Creates a new NMSettingTeamPort object with default values.

Returns : | the new empty NMSettingTeamPort object. [transfer full]

### nm_setting_team_port_get_config ()

    const char *        nm_setting_team_port_get_config     (NMSettingTeamPort *setting);

`setting` : | the NMSettingTeamPort
Returns : | the "config" property of the setting

## Property Details

### The `"config"` property

      "config"                   gchar*                : Read / Write

The JSON configuration for the team port. The property should contain raw JSON configuration data suitable for teamd, because the value is passed directly to teamd. If not specified, the default configuration is used. See man teamd.conf for the format details.

Default value: NULL